#!/usr/local/bin/python3
import sys
import os

def read_GnssSit(filepath):
    stationlist = []
    with open(filepath,'r',encoding='utf-8') as readfile:
        for line in readfile:
            if len(line.strip('\n')) <= 0:
                continue
            if not "_POS" in line:
                continue
            station = []
            data_line = line.strip('\n').split()
            sitname = data_line[0][0:4]
            station.append(sitname)#name
            station.append(float(data_line[1]))#X
            station.append(float(data_line[2]))#Y
            station.append(float(data_line[3]))#Z
            stationlist.append(station)
    return stationlist

if __name__ == "__main__":
    message='命令错误'
    if len(sys.argv)<=1 :
        print(message)
        sys.exit()
    
    inputfile = sys.argv[1]
    outputfile = sys.argv[2]

    if not os.path.exists(inputfile):
        print(message)
        sys.exit()

    Station_XYZ = read_GnssSit(inputfile)

    site_num = len(Station_XYZ)
    if site_num <= 1:
        print(message)
        sys.exit()
    
    with open(outputfile,'w',encoding='utf-8') as writefile:
        for i in range(site_num):
            writefile.write("%4s %14.4f %14.4f %14.4f\n" % (Station_XYZ[i][0], Station_XYZ[i][1], Station_XYZ[i][2], Station_XYZ[i][3]))
